Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes

# BitMask32 Class Reference

List of all members.

## Public Member Functions
static BitMaskunsigned | allOff ()
static BitMaskunsigned | allOn ()
static BitMaskunsigned | bit (int index)
| BitMask ()
| BitMask (BitMaskunsigned int, 32 const copy)
| BitMask (unsigned int init_value)
| clear ()
| clearBit (int index)
| clearRange (int low_bit, int size)
int | compareTo (BitMaskunsigned int, 32 const other)
unsigned int | extract (int low_bit, int size)
BitMaskunsigned | floodBitsDown ()
BitMaskunsigned | floodBitsUp ()
| floodDownInPlace ()
| floodUpInPlace ()
bool | getBit (int index)
int | getHighestOffBit ()
int | getHighestOnBit ()
int | getKey ()
int | getLowestOffBit ()
int | getLowestOnBit ()
int | getNextHigherDifferentBit (int low_bit)
int | getNumOffBits ()
int | getNumOnBits ()
unsigned int | getWord ()
bool | hasAllOf (int low_bit, int size)
bool | hasAnyOf (int low_bit, int size)
bool | hasBitsInCommon (BitMaskunsigned int, 32 const other)
| invertInPlace ()
bool | isAllOn ()
bool | isZero ()
BitMaskunsigned | keepNextHighestBit ()
BitMaskunsigned | keepNextHighestBit (BitMaskunsigned int, 32 const other)
BitMaskunsigned | keepNextHighestBit (int index)
BitMaskunsigned | keepNextLowestBit ()
BitMaskunsigned | keepNextLowestBit (int index)
BitMaskunsigned | keepNextLowestBit (BitMaskunsigned int, 32 const other)
static BitMaskunsigned | lowerOn (int on_bits)
bool | operator!= (BitMaskunsigned int, 32 const other)
BitMaskunsigned | operator& (BitMaskunsigned int, 32 const other)
BitMaskunsigned | operator&= (BitMaskunsigned int, 32 const other)
bool | operator< (BitMaskunsigned int, 32 const other)
BitMaskunsigned | operator<< (int shift)
BitMaskunsigned | operator<<= (int shift)
BitMaskunsigned | operator= (BitMaskunsigned int, 32 const copy)
bool | operator== (BitMaskunsigned int, 32 const other)
BitMaskunsigned | operator>> (int shift)
BitMaskunsigned | operator>>= (int shift)
BitMaskunsigned | operator^ (BitMaskunsigned int, 32 const other)
BitMaskunsigned | operator^= (BitMaskunsigned int, 32 const other)
BitMaskunsigned | operator| (BitMaskunsigned int, 32 const other)
BitMaskunsigned | operator|= (BitMaskunsigned int, 32 const other)
BitMaskunsigned | operator~ ()
| output (ostream out)
| outputBinary (ostream out, int spaces_every)
| outputBinary (ostream out)
| outputHex (ostream out)
| outputHex (ostream out, int spaces_every)
static BitMaskunsigned | range (int low_bit, int size)
| setBit (int index)
| setBitTo (int index, bool value)
| setRange (int low_bit, int size)
| setRangeTo (bool value, int low_bit, int size)
| setWord (unsigned int value)
| store (unsigned int value, int low_bit, int size)
| write (ostream out, int indent_level)
| write (ostream out)
## Static Public Member Functions
static TypeHandle | getClassType ()
static int | getMaxNumBits ()
static int | getNumBits ()
static bool | hasMaxNumBits ()
## Public Attributes
BitMaskunsigned | int
## Static Public Attributes
static BitMaskunsigned | int

## Member Function Documentation

static BitMaskunsigned allOff | ( |  | ) |

static BitMaskunsigned allOn | ( |  | ) |

static BitMaskunsigned bit | ( | int | index | ) |

BitMask | ( |  | ) |

BitMask | ( | BitMaskunsigned | int,
|  | 32 const | copy
| ) |  |

BitMask | ( | unsigned int | init_value | ) |

clear | ( |  | ) |

clearBit | ( | int | index | ) |

clearRange | ( | int | low_bit,
|  | int | size
| ) |  |

int compareTo | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

unsigned int extract | ( | int | low_bit,
|  | int | size
| ) |  |

BitMaskunsigned floodBitsDown | ( |  | ) |

BitMaskunsigned floodBitsUp | ( |  | ) |

floodDownInPlace | ( |  | ) |

floodUpInPlace | ( |  | ) |

bool getBit | ( | int | index | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

int getHighestOffBit | ( |  | ) |

int getHighestOnBit | ( |  | ) |

int getKey | ( |  | ) |

int getLowestOffBit | ( |  | ) |

int getLowestOnBit | ( |  | ) |

static int getMaxNumBits | ( |  | ) | `[static]`

int getNextHigherDifferentBit | ( | int | low_bit | ) |

static int getNumBits | ( |  | ) | `[static]`

int getNumOffBits | ( |  | ) |

int getNumOnBits | ( |  | ) |

unsigned int getWord | ( |  | ) |

bool hasAllOf | ( | int | low_bit,
|  | int | size
| ) |  |

bool hasAnyOf | ( | int | low_bit,
|  | int | size
| ) |  |

bool hasBitsInCommon | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

static bool hasMaxNumBits | ( |  | ) | `[static]`

invertInPlace | ( |  | ) |

bool isAllOn | ( |  | ) |

bool isZero | ( |  | ) |

BitMaskunsigned keepNextHighestBit | ( |  | ) |

BitMaskunsigned keepNextHighestBit | ( | int | index | ) |

BitMaskunsigned keepNextHighestBit | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned keepNextLowestBit | ( |  | ) |

BitMaskunsigned keepNextLowestBit | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned keepNextLowestBit | ( | int | index | ) |

static BitMaskunsigned lowerOn | ( | int | on_bits | ) |

bool operator!= | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned operator& | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned operator&= | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

bool operator< | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned operator<< | ( | int | shift | ) |

BitMaskunsigned operator<<= | ( | int | shift | ) |

BitMaskunsigned operator= | ( | BitMaskunsigned | int,
|  | 32 const | copy
| ) |  |

bool operator== | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned operator>> | ( | int | shift | ) |

BitMaskunsigned operator>>= | ( | int | shift | ) |

BitMaskunsigned operator^ | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned operator^= | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned operator| | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned operator|= | ( | BitMaskunsigned | int,
|  | 32 const | other
| ) |  |

BitMaskunsigned operator~ | ( |  | ) |

output | ( | ostream | out | ) |

outputBinary | ( | ostream | out,
|  | int | spaces_every
| ) |  |

outputBinary | ( | ostream | out | ) |

outputHex | ( | ostream | out,
|  | int | spaces_every
| ) |  |

outputHex | ( | ostream | out | ) |

static BitMaskunsigned range | ( | int | low_bit,
|  | int | size
| ) |  |

setBit | ( | int | index | ) |

setBitTo | ( | int | index,
|  | bool | value
| ) |  |

setRange | ( | int | low_bit,
|  | int | size
| ) |  |

setRangeTo | ( | bool | value,
|  | int | low_bit,
|  | int | size
| ) |  |

setWord | ( | unsigned int | value | ) |

store | ( | unsigned int | value,
|  | int | low_bit,
|  | int | size
| ) |  |

write | ( | ostream | out | ) |

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

## Member Data Documentation

BitMaskunsigned int

BitMaskunsigned int`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties